<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfSampleReports ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfSampleReports
 * @subpackage Arrays
 */
class ArrayOfSampleReports extends AbstractStructArrayBase
{
    /**
     * The SampleReports
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SampleReports[]
     */
    public $SampleReports;
    /**
     * Constructor method for ArrayOfSampleReports
     * @uses ArrayOfSampleReports::setSampleReports()
     * @param \StructType\SampleReports[] $sampleReports
     */
    public function __construct(array $sampleReports = array())
    {
        $this
            ->setSampleReports($sampleReports);
    }
    /**
     * Get SampleReports value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SampleReports[]|null
     */
    public function getSampleReports()
    {
        return isset($this->SampleReports) ? $this->SampleReports : null;
    }
    /**
     * This method is responsible for validating the values passed to the setSampleReports method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSampleReports method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSampleReportsForArrayConstraintsFromSetSampleReports(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfSampleReportsSampleReportsItem) {
            // validation for constraint: itemType
            if (!$arrayOfSampleReportsSampleReportsItem instanceof \StructType\SampleReports) {
                $invalidValues[] = is_object($arrayOfSampleReportsSampleReportsItem) ? get_class($arrayOfSampleReportsSampleReportsItem) : sprintf('%s(%s)', gettype($arrayOfSampleReportsSampleReportsItem), var_export($arrayOfSampleReportsSampleReportsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The SampleReports property can only contain items of type \StructType\SampleReports, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set SampleReports value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\SampleReports[] $sampleReports
     * @return \ArrayType\ArrayOfSampleReports
     */
    public function setSampleReports(array $sampleReports = array())
    {
        // validation for constraint: array
        if ('' !== ($sampleReportsArrayErrorMessage = self::validateSampleReportsForArrayConstraintsFromSetSampleReports($sampleReports))) {
            throw new \InvalidArgumentException($sampleReportsArrayErrorMessage, __LINE__);
        }
        if (is_null($sampleReports) || (is_array($sampleReports) && empty($sampleReports))) {
            unset($this->SampleReports);
        } else {
            $this->SampleReports = $sampleReports;
        }
        return $this;
    }
    /**
     * Add item to SampleReports value
     * @throws \InvalidArgumentException
     * @param \StructType\SampleReports $item
     * @return \ArrayType\ArrayOfSampleReports
     */
    public function addToSampleReports(\StructType\SampleReports $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SampleReports) {
            throw new \InvalidArgumentException(sprintf('The SampleReports property can only contain items of type \StructType\SampleReports, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->SampleReports[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\SampleReports|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\SampleReports|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\SampleReports|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\SampleReports|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\SampleReports|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string SampleReports
     */
    public function getAttributeName()
    {
        return 'SampleReports';
    }
}
